<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 通知メール更新完了
 *
 * @package     Admin.Datamanage.Label.Update.Done
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Admin_Mailmanage_Mailtemplate_Done
{
    var $session;
    var $mailtpl;

    var $mailtplcd;
    var $template;
    var $mailtitle;
    var $mailbody;
    var $updcnt;
    var $upduser;
    
    var $title;
    var $actionnm;
    var $pagename;

    function execute()
    {
        $data = $this->session->getParameter("mailtpl");
        
        $ret = $this->mailtpl->update($data["mailtplcd"],
                                      $data["template"],
                                      $data["mailtitle"], 
                                      $data["mailbody"], 
                                      $data["updcnt"],
                                      $this->upduser);

        $this->session->removeParameter("mailtpl");
        if (!$ret) return "input";
        return 'success';
    }
}
?>
